---
title: 'Using a 12-year-old HP T620 Thin Client as a Desktop'
date: 2025-03-30T00:14:40+02:00
draft: false
---

A few years ago, a local second hand computer store was selling T620 thin clients for dirt cheap prices, so impulsively, I bought one. From there, the humble HP T620 lived a hard life as a server for just about anything I wanted to host - git servers, forums, heck, I even once wanted to compile an Android build on it. However, there's one thing I haven't done... use it as a desktop.

## Why would you even want to do this?
Science, mainly.

I was morbidly curious how well it would be able to cope as a remote desktop box running 24/7. It's actually kinda suited for this job, with it's low power draw, however, whenever I tried this experiment, I was running my Linux distro of choice (Linux Mint) under KVM, which led to some slight performance loss.

## Environment:
- 4GB of DDR3 memory
- Quad-Core variant (AMD GX-415TA)
- Linux Mint 22.1 Xia

## General usage
This box, while it may struggle when running multiple tabs, is actually decently usable. One of the big complaints I have though is how poorly Discord runs on it. Even then Discord is bloated garbage so whatever, it doesn't matter!!! While the animations may be sluggish, the system is decently responsive. I think I might've done a mistake by going with the Cinnamon version of Linux Mint, but it's whatever really.

## Gaming
I tried a few games on it:
- Grand Theft Auto V: got to the loading screen and then crashed (Proton)
- Grand Theft Auto IV: Too slow to be able to even navigate the menus (Proton)
- Half Life 2: runs at around 40-50fps on low settings
- OpenTTD: sometimes a little sluggish
- Minecraft: using the Fabulously Optimised modpack for 1.21.4 and with every setting turned down (including the resolution) I was averaging somewhere around 40-60fps, sometimes peaking to 100fps. Very playable. Kinda funny how this box struggled to run a Minecraft server, but can run a Minecraft client fine.
- Towerfall Ascension: runs well, obviously.

## Conclusion
Should you use this? Well, I dunno. If you can find one locally for cheap and you desperately need a computer - it probably isn't your worst option.
