---
title: 'Using a 128MB NAT OpenVZ VPS'
date: 2024-10-21T22:27:28+03:00
draft: false
---
While at a metro station, I was chatting with some friends on a Telegram group, when one of them shared an intriguing hosting provider: **Gullo's Hosting**. I couldn't believe my eyes when I saw a 3,50EUR/YR VPS, so I impulsively bought it. Now, it does have some caveats, such as:
* Low storage space: I kept bashing my head against the wall trying to figure out how I could clear space.
* No public IPv4: It's fine for a 3.50/yr VPS.

However you can't really complain for such a low price, so I just started setting some stuff up. The first thing I've thought of using this box for is a VPN. I tried getting Wireguard running, but I failed spectacularly. 

On my first attempt I was quite hopeful, until I hit the storage limit when installing some dependencies Wireguard needed. So I just reset it. On the second attempt, I tried using Debian 11, maybe it uses less storage, but I started having problems installing dependencies.

In the end, I dropped the VPN idea and made a SOCKS5 proxy using `microsocks`. Setting it up was a breeze, however I wasn't able to find any no-bullshit tutorials on setting one up. Maybe one day I'll make a site in the vein of https://landchad.net/. Who knows?

And I would also like to add how annoying it is to use the console feature of Gullo. The password to the user created to access your container via SSH resets every few hours and it's very annoying to have to log into the panel every time I want to tweak something. I can probably setup SSH on my own container though, but I'll do it in the near future.

Anyways, it's getting late and I'm going to go to sleep. Thanks for reading.
